{% load static wagtailimages_tags %}

<div class="candidate-table-row">
  <div class="candidate-table-row__position head-allcaps-heavy-2xs text-right">
    <span {% if forloop.counter < 10 %}class="pl-1 pr-1"{% endif %}>
      {{ forloop.counter }}
    </span>
  </div>
  <div class="avatar avatar--sm candidate-table-row__avatar">
    {% if block.profile_photo %}
      {# Match sizing of person_badge_snippet.html to keep the image version count low #}
      {% image block.profile_photo fill-160x160 as profile_img %}
      <img src="{{ profile_img.url }}" alt="{{ block.title }}"/>
    {% else %}
      <img src="{% static "shared/img/unknown_pirate_160x160.jpg" %}" alt="{{ block.title }}"/>
    {% endif %}
  </div>
  <div class="candidate-table-row__name head-heavy-2xs font-bold">
    {{ block.title }}
  </div>
  <div class="candidate-table-row__bio font-condensed">
    <div class="candidate-table-row__bio font-condensed">
      {% if block.age %}
        {{ block.age }}&nbsp;let{% if block.job or block.city %},{% endif %}
      {% endif %}
      {% if block.job %}
        {{ block.job }}{% if block.city %},{% endif %}
      {% endif %}
      {% if block.city %}{{ block.city }}{% endif %}
    </div>
    <div class="candidate-table-row__affiliation">
      <div class="flex items-center">
        {% if block.is_pirate %}
          <div class="avatar w-6 mr-2">
            <img src="{% static "shared/img/logo_black.svg" %}" alt="Pirátská strana">
          </div>
          <span class="font-bold font-condensed">Pirátská strana</span>
        {% endif %}

        {% if not block.is_pirate and block.other_party %}
          {% if block.other_party_logo %}
            {% image block.other_party_logo width-48 as logo_img %}
            <div class="avatar w-6 mr-2">
              <img src="{{ logo_img.url }}" alt="{{ block.other_party }}">
            </div>
          {% endif %}
          <span class="font-bold font-condensed">{{ block.other_party }}</span>
        {% endif %}
      </div>
    </div>
  </div>
</div>
